Bug 216308 - "yelp info:bc" freezes with assert failures
Summary: "yelp info:bc" freezes with assert failures
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yelp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-11-19 03:03 UTC by petrosyan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 16:37:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that fixes the first crash (392 bytes, patch)
2007-03-26 06:14 UTC, Matthias Clasen
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 414471 None None None Never

Description petrosyan 2006-11-19 03:03:00 UTC
Description of problem:
"yelp info:bc" freezes with assert failures

Version-Release number of selected component (if applicable):
yelp-2.16.0-10.fc6

How reproducible:
Always

Steps to Reproduce:
type "yelp info:bc" in a terminal
  
Actual results:
"yelp info:bc" freezes

Expected results:
shouldn't freeze

Additional info:
It gives the following error messages:
$ yelp info:bc

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `G_NODE
(sibling->user_data)->parent == G_NODE (parent->user_data)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_iter_parent: assertion `VALID_ITER
(child, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `VALID_ITER
(sibling, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_iter_parent: assertion `VALID_ITER
(child, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `VALID_ITER
(sibling, tree_store)' failed

(yelp:3474): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed

Comment 1 petrosyan 2007-03-14 17:13:32 UTC
This bug is still present in yelp-2.18.0-1.fc7

$ yelp info:bc

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `G_NODE
(sibling->user_data)->parent == G_NODE (parent->user_data)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_iter_parent: assertion `VALID_ITER
(child, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `VALID_ITER
(sibling, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_iter_parent: assertion `VALID_ITER
(child, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_insert_after: assertion `VALID_ITER
(sibling, tree_store)' failed

(yelp:2004): Gtk-CRITICAL **: gtk_tree_store_set_valist: assertion `VALID_ITER
(iter, tree_store)' failed


Comment 2 Matthias Clasen 2007-03-26 06:06:59 UTC
Also crashing are
 
info:automake16 
info:gnutls

Comment 3 Matthias Clasen 2007-03-26 06:14:25 UTC
Created attachment 150870 [details]
patch that fixes the first crash

Comment 4 petrosyan 2007-04-11 06:49:07 UTC
this bug is still present in yelp-2.18.1-1.fc7

Comment 5 Matthias Clasen 2007-04-16 16:37:19 UTC
I've added the patch in 2.18.1-2.fc7 and filed
http://bugzilla.gnome.org/show_bug.cgi?id=430365 
to track the remaining crashes upstream.


Note You need to log in before you can comment on or make changes to this bug.